Bug 9414 - 'samba-tool user add' ignores password complexity settings
'samba-tool user add' ignores password complexity settings
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: Tools
4.0.0rc5
All All
: P5 critical
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks: 8622
  Show dependency treegraph
 
Reported: 2012-11-21 08:49 UTC by Karolin Seeger
Modified: 2012-12-11 17:17 UTC (History)
1 user (show)

See Also:


Attachments
Patches cherry-picked from master (2.14 KB, patch)
2012-12-07 10:04 UTC, Andrew Bartlett
no flags Details
Patches for v4-0-test (35.68 KB, patch)
2012-12-11 13:07 UTC, Stefan Metzmacher
obnox: review+
metze: review+
Details
updated patchset for v4-0-test (36.66 KB, patch)
2012-12-11 15:19 UTC, Michael Adam
obnox: review+
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Karolin Seeger 2012-11-21 08:49:15 UTC
When adding new users using 'samba-tool user add', the password complexity settings are ignored.

When changing the password using 'samba-tool user setpassword', they are considered.
Comment 1 Björn Baumbach 2012-11-21 08:58:54 UTC
Not only with samba-tool add. Same issue with Windows RSAT.
Comment 2 Andrew Bartlett 2012-12-07 10:04:31 UTC
Created attachment 8299 [details]
Patches cherry-picked from master
Comment 3 Stefan Metzmacher 2012-12-11 13:07:17 UTC
Created attachment 8338 [details]
Patches for v4-0-test
Comment 4 Stefan Metzmacher 2012-12-11 13:08:38 UTC
Comment on attachment 8338 [details]
Patches for v4-0-test

We can do a git cherry-pick -7 -x from origin/master once autobuild is done
Comment 5 Michael Adam 2012-12-11 13:09:57 UTC
Comment on attachment 8338 [details]
Patches for v4-0-test

ACK
Comment 6 Michael Adam 2012-12-11 13:10:33 UTC
==> Karolin for 4.0.0 :-)
Comment 7 Michael Adam 2012-12-11 15:19:53 UTC
Created attachment 8339 [details]
updated patchset for v4-0-test

This adds one patch to skip the samba4.rpc.samr.passwords test for the ncacn_np(dc) and s4member environments. These currently fail.
Comment 8 Karolin Seeger 2012-12-11 17:17:56 UTC
Pushed to v4-0-test.
Closing out bug report.

Thanks!